/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.xelfi.quoridor.webidor;

import org.springframework.dao.DataAccessException;
import org.springframework.security.GrantedAuthority;
import org.springframework.security.GrantedAuthorityImpl;
import org.springframework.security.userdetails.UserDetails;
import org.springframework.security.userdetails.UserDetailsService;
import org.springframework.security.userdetails.UsernameNotFoundException;

/**
 *
 * @author Jaroslav Tulach <jtulach@netbeans.org>
 */
public class UserDetailsImpl implements UserDetailsService {

    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException, DataAccessException {
        return new UserDetails() {
            public GrantedAuthority[] getAuthorities() {
                return new GrantedAuthority[] { new GrantedAuthorityImpl("ROLE_USER") };
            }

            public String getPassword() {
                return "ok";
            }

            public String getUsername() {
                return "jarda";
            }

            public boolean isAccountNonExpired() {
                return true;
            }

            public boolean isAccountNonLocked() {
                return true;
            }

            public boolean isCredentialsNonExpired() {
                return true;
            }

            public boolean isEnabled() {
                return true;
            }
        };
    }

}
